PUT Update enrollment
Update enrollment status, progress, or completion information
Update enrollment status, progress, or completion information
AuthorizationBearer <token>
Send API keys and access tokens as Authorization: Bearer .
In: header
Path Parameters
id*string
Unique identifier of the enrollment
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/course-enrollments/{id}" \ -H "Content-Type: application/json" \ -d '{ "status": "enrolled", "progress_percentage": 1, "last_accessed_at": "2026-01-15T12:00:00Z", "completed_at": "2026-01-15T12:00:00Z" }'{ "data": { "id": "{id}", "user_id": "{user_id}", "course_id": "{course_id}", "organization_id": "{organization_id}", "status": "string", "progress_percentage": 0, "enrolled_at": "2019-08-24T14:15:22Z", "completed_at": "2019-08-24T14:15:22Z", "last_accessed_at": "2019-08-24T14:15:22Z" }, "meta": { "updated": true, "organization_id": "{organization_id}", "rls_validated": true }}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}{ "error": "string", "code": "string", "message": "string"}